{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.horseman.hardware.wifi;
in {
  options = {
    horseman.hardware.wifi = {
      enable = mkEnableOption "";
    };
  };

  config = mkIf cfg.enable {
    networking.networkmanager.enable = true;
    users.users.horseman.extraGroups = ["networkmanager"];
  };
}
